> ## Documentation Index
> Fetch the complete documentation index at: https://tibbie.co/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a connection



## OpenAPI

````yaml api-reference/openapi.json get /connections/{connection}
openapi: 3.1.0
info:
  title: Tibbie
  version: '1.0'
  description: REST API for managing posts and connections on Tibbie.
servers:
  - url: https://tibbie.co/api/v1
security:
  - bearerAuth: []
tags:
  - name: Authentication
  - name: User
  - name: Connections
  - name: Posts
  - name: Media
paths:
  /connections/{connection}:
    get:
      tags:
        - Connections
      summary: Get a connection
      operationId: connection.show
      parameters:
        - name: connection
          in: path
          required: true
          description: The connection ID
          schema:
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: integer
                  provider:
                    type: string
                  username:
                    type:
                      - string
                      - 'null'
                  display_name:
                    type:
                      - string
                      - 'null'
                  avatar:
                    type:
                      - string
                      - 'null'
                  needs_reconnection:
                    type: boolean
                  created_at:
                    type:
                      - string
                      - 'null'
                    format: date-time
                  meta:
                    type: array
                    items: {}
                required:
                  - id
                  - provider
                  - username
                  - display_name
                  - avatar
                  - needs_reconnection
                  - created_at
                  - meta
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '404':
          $ref: '#/components/responses/ModelNotFoundException'
components:
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ModelNotFoundException:
      description: Not found
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.